Bug 1626465 - DPKG 1.18.25-1 requires not supported clamp-mtime from tar
Summary: DPKG 1.18.25-1 requires not supported clamp-mtime from tar
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: dpkg
Version: epel7
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-07 11:55 UTC by Sander Vermin
Modified: 2018-10-16 10:29 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-02 19:31:09 UTC


Attachments (Terms of Use)

Description Sander Vermin 2018-09-07 11:55:29 UTC
Description of problem:
building deb package with the latest version of dpkg-deb fails because it requires --clamp-mtime from tar, which is not supported by the current version of tar in Centos 7 (fully update to today).

Version-Release number of selected component (if applicable):

dpkg 1.18.25-1.el7.x86_64

How reproducible:
build a deb with latest version.

Steps to Reproduce:
1. dpkg-deb --build $deb_folder

Actual results:
error:
dpkg-deb: building package '<PACKAGE NAME>' in '<PACKAGE NAME>.deb'.
tar: unrecognized option '--clamp-mtime'
Try `tar --help' or `tar --usage' for more information.
dpkg-deb: error: failed to write filename to tar pipe (control member): Broken pipe


Expected results:
working <PACKAGE NAME>.deb file created

Additional info:
Downgrading to version 1.17.27-1.el7.x86_64 solves the problem.

Comment 1 Fedora Update System 2018-09-08 17:37:37 UTC
dpkg-1.18.25-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a2ef0bb1dd

Comment 2 Fedora Update System 2018-09-09 09:55:49 UTC
dpkg-1.18.25-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a2ef0bb1dd

Comment 3 Fedora Update System 2018-09-23 16:03:59 UTC
dpkg-1.18.25-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a7dd4eeb7

Comment 4 Fedora Update System 2018-09-23 16:04:30 UTC
dpkg-1.18.25-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-95bfb4e086

Comment 5 Fedora Update System 2018-09-23 16:04:47 UTC
dpkg-1.18.25-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4317d3fb6f

Comment 6 Fedora Update System 2018-09-23 16:05:04 UTC
dpkg-1.18.25-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e49581b440

Comment 7 Fedora Update System 2018-09-23 19:48:12 UTC
dpkg-1.18.25-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4317d3fb6f

Comment 8 Fedora Update System 2018-09-23 20:41:36 UTC
dpkg-1.18.25-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a7dd4eeb7

Comment 9 Fedora Update System 2018-09-23 20:47:58 UTC
dpkg-1.18.25-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e49581b440

Comment 10 Fedora Update System 2018-09-23 21:39:42 UTC
dpkg-1.18.25-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-95bfb4e086

Comment 11 Fedora Update System 2018-10-02 19:31:09 UTC
dpkg-1.18.25-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-10-05 17:08:43 UTC
dpkg-1.18.25-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-10-07 21:11:26 UTC
dpkg-1.18.25-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-10-16 10:29:11 UTC
dpkg-1.18.25-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.